computers.createComputer
const url = 'https://example.com/v1/computers';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","source":{"_tag":"Provider","provider":"example","template":"example"},"desktop":true,"pauseAfter":1,"shared":true,"commandKey":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/computers \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "source": { "_tag": "Provider", "provider": "example", "template": "example" }, "desktop": true, "pauseAfter": 1, "shared": true, "commandKey": "example" }'Accepts a command to create a Computer and returns its execution receipt. Reuse the command key after a lost reply. A connector Computer stays offline until it connects.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”Success
object
Example generated
{ "executionId": "example", "commandKey": "example", "sequence": 1}ComputerInvalid | OrganizationRequired
AuthenticationRequired
object
Example
{ "_tag": "AuthenticationRequired"}@nmnmcc/ability/Authorizer/Forbidden | ExecutionForbidden | MembershipRequired | ForbiddenOrigin
ComputerNotFound | ComputerPathNotFound | ComputerSessionNotFound | ComputerProviderNotFound | PairingInvalid | ExecutionNotFound
object
object
object
object
object
object
Example
{ "_tag": "ComputerNotFound"}@nmnmcc/ability/Authorizer/Pending | ComputerProviderInUse | ComputerConflict | ComputerUnsupported | ComputerNotReady | ExecutionConflict | ExecutionKeyConflict
object
object
object
object
object
object
object
Example
{ "_tag": "Pending"}RateLimited
object
Example
{ "_tag": "RateLimited"}ComputerProviderFailed | ComputerExecutionFailed
ComputersUnavailable | ExecutionUnavailable | AuthenticationUnavailable | RequestFailed